Package org.opentcs.data.order

# Class DriveOrder.Destination

java.lang.Object
org.opentcs.data.order.DriveOrder.Destination

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  DriveOrder

    public static class DriveOrder.Destination
    extends java.lang.Object
    implements java.io.Serializable

Describes the destination of a drive order.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `OP_MOVE` | An operation constant for sending the vehicle to a point without a location associated to it.
  `static java.lang.String` | `OP_NOP` | An operation constant for doing nothing.
  `static java.lang.String` | `OP_PARK` | An operation constant for parking the vehicle.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Destination​(TCSObjectReference<?> destination)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object o)` |
  `TCSObjectReference<?>` | `getDestination()` | Returns the actual destination (a location or point).
  `java.lang.String` | `getOperation()` | Returns the operation to be performed at the destination location.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getProperties()` | Returns the properties of this destination.
  `int` | `hashCode()` |
  `java.lang.String` | `toString()` |
  `DriveOrder.Destination` | `withOperation​(java.lang.String operation)` | Creates a copy of this object, with the given operation.
  `DriveOrder.Destination` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Creates a copy of this object, with the given properties.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OP_NOP

    public static final java.lang.String OP_NOP
    An operation constant for doing nothing.
    See Also:
      Constant Field Values

  - ### OP_PARK

    public static final java.lang.String OP_PARK
    An operation constant for parking the vehicle.
    See Also:
      Constant Field Values

  - ### OP_MOVE

    public static final java.lang.String OP_MOVE
    An operation constant for sending the vehicle to a point without a location associated to it.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Destination

    public Destination​(@Nonnull TCSObjectReference<?> destination)
    Creates a new instance.
    Parameters:
      `destination` - The actual destination (must be a reference to a location or point).

- ## Method Details

  - ### getDestination

    @Nonnull public TCSObjectReference<?> getDestination()
    Returns the actual destination (a location or point).
    Returns:
      The actual destination (a location or point).

  - ### getOperation

    @Nonnull public java.lang.String getOperation()
    Returns the operation to be performed at the destination location.
    Returns:
      The operation to be performed at the destination location.

  - ### withOperation

    public DriveOrder.Destination withOperation​(@Nonnull java.lang.String operation)
    Creates a copy of this object, with the given operation.
    Parameters:
      `operation` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getProperties

    @Nonnull public java.util.Map<java.lang.String,​java.lang.String> getProperties()
    Returns the properties of this destination.
    Returns:
      The properties of this destination.

  - ### withProperties

    public DriveOrder.Destination withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)
    Creates a copy of this object, with the given properties.
    Parameters:
      `properties` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### equals

    public boolean equals​(java.lang.Object o)
    Overrides:
      `equals` in class `java.lang.Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`